Mailinglist Archive: opensuse-packaging (116 mails)

< Previous Next >
Re: [opensuse-packaging] E: shlib-policy-name-error

On Tuesday 2013-05-21 09:10, Sascha Peilicke wrote:
On 05/17/2013 08:03 PM, Dimstar / Dominique Leuenberger wrote:
Thanks for pointing out the typo.. let me return the favor:

libpanel-applet-1.0.so would result in libpanel-applet-1_0 => you know
very well that a '.' is not valid in our package names :)

Huh? I don't think this statement is current any more, in general we allow
dots
in package names for a while now. As far as I remember, the only technical
limitation was that the old autobuild system broke on such package names.
However, RPM and OBS are totally fine with these. And we have plenty of
examples in Factory by the way:

% osc -A obs ls openSUSE:Factory | grep "\." | wc -l
21

Wow that looks ugly. Really, I would have preferred python3-zope-interface
rather than python3-zope.interface, for consistency sake.
Where I'll accept the dot is in
openSUSE:XX:Update/packagaename.revisionthing, e.g
openSUSE:12.3:Update/sssd.1994 or whatever number it was.
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups